Skip to main content
POST
/
api
/
v1
/
bulletin-configs
Create bulletin config
curl --request POST \
  --url https://api.example.com/api/v1/bulletin-configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "studio": "<string>",
  "slot_duration": "<string>",
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "Morning TV Bulletin",
  "platform": "television",
  "slot": "morning",
  "studio": "Studio A",
  "slot_duration": "00:30:00",
  "is_active": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your JWT token in the format: Bearer

Body

name
string
required
Required string length: 1 - 100
platform
enum<string>
required
  • television - Television
  • radio - Radio
Available options:
television,
radio
slot
enum<string>
required
  • morning - Morning
  • midday - Midday
  • afternoon - Afternoon
  • evening - Evening
  • late_night - Late Night
  • breaking - Breaking
Available options:
morning,
midday,
afternoon,
evening,
late_night,
breaking
studio
string
Maximum string length: 100
slot_duration
string | null
is_active
boolean

Response

201 - application/json
id
string<uuid>
required
read-only
name
string
required
Maximum string length: 100
platform
enum<string>
required
  • television - Television
  • radio - Radio
Available options:
television,
radio
slot
enum<string>
required
  • morning - Morning
  • midday - Midday
  • afternoon - Afternoon
  • evening - Evening
  • late_night - Late Night
  • breaking - Breaking
Available options:
morning,
midday,
afternoon,
evening,
late_night,
breaking
studio
string
Maximum string length: 100
slot_duration
string | null
is_active
boolean